/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.core.impl.file.fake_j2ee;

import java.util.Enumeration;
import java.util.Hashtable;

public class AttributeHolder
{
	protected Hashtable _attributes;
	
	public Enumeration getAttributeNames()
	{
		return _attributes.keys();
	}
	public void setAttribute(String iName, Object iValue)
	{
		if(_attributes == null)
			_attributes = new Hashtable();
		_attributes.put(iName, iValue);
	}
	public Object getAttribute(String iName)
	{
		if(_attributes == null)
			return null;
		return _attributes.get(iName);
	}
	public void removeAttribute(String iName)
	{
		if(_attributes == null)
			return;
		_attributes.remove(iName);
	}
}
